import os
from pathlib import Path
from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    SECRET_KEY: str = os.getenv("SECRET_KEY", "your-secret-key-change-in-production")
    ALGORITHM: str = "HS256"
    ACCESS_TOKEN_EXPIRE_MINUTES: int = 30

    DB_DIR: Path = Path("/app/storage/db")

    def __init__(self):
        super().__init__()
        self.DB_DIR.mkdir(parents=True, exist_ok=True)

    @property
    def SQLALCHEMY_DATABASE_URL(self) -> str:
        return f"sqlite:///{self.DB_DIR}/db.sqlite"


settings = Settings()
